CREATE TABLE ad_patch_cond_history (
    COND_TE_LEVEL            VARCHAR2(600),
    COND_TE_NAME             VARCHAR2(32) ,
    CONDITION                VARCHAR2(24) ,
    REQUIRED_LEVEL           VARCHAR2(600),
    REQUIRED_TE_ABBR         VARCHAR2(32) ,
    TRACKABLE_ENTITY_ABBR    VARCHAR2(32) ,
    PATCH_RUN_ID             NUMBER       ,
    ORA_EDITION_CONTEXT      VARCHAR2(120)    NOT NULL,
    COND_TE_LEVEL            VARCHAR2(600),
    COND_TE_NAME             VARCHAR2(32) ,
    CONDITION                VARCHAR2(24) ,
    REQUIRED_LEVEL           VARCHAR2(600),
    REQUIRED_TE_ABBR         VARCHAR2(32) ,
    TRACKABLE_ENTITY_ABBR    VARCHAR2(32) ,
    PATCH_RUN_ID             NUMBER       ,
    ORA_EDITION_CONTEXT      VARCHAR2(120)    NOT NULL
);
